{% if mapping["has as CPL action"] is not none %}
  {% for spec in mapping["has as CPL action"] %}
    {# Treat redirects only #}
    {% if spec["type"] == "Request redirect action" or  spec["type"] == "Redirect action" %}
      {% if spec["uses mapping template"] is not none %}
        {% set redir_src = spec["has as source"] | regex_replace('^https?:\/\/[^\/]+', '') %}         {# Rewrite source with path only #}
        {% if spec["uses mapping template"] == "TPL_redirect_one_to_one" %}    {# ONE 2 ONE -- TPL_redirect_one_to_one   #}
          rewrite ^{{ redir_src }}$ {{ spec["has as destination"] }} permanent;
        {% elif spec["uses mapping template"] == "TPL_redirect_many_to_one" %} {# MANY 2 ONE -- TPL_redirect_many_to_one #}
          rewrite ^{{ redir_src }}(.*)$ {{ spec["has as destination"] }} permanent;
        {% elif spec["uses mapping template"] == "TPL_redirect_complex" %}     {# MANY 2 MANY -- TPL_redirect_complex #}
          rewrite ^{{ redir_src }}(.*)$ {{ spec["has as destination"] }}$1 permanent;
        {% else %}
          {# ELSE BETS EFFORT (MANY2MANY) #}
          rewrite ^{{ redir_src }}(.*)$ {{ spec["has as destination"] }}/$1 permanent;
        {% endif %}
      {% endif %}
    {% endif %}
  {% endfor %}
{% endif %}
